Microsimulation API: Table< I0, I1, I2, I3, I4, Outcome > Class Template Reference

Microsimulation API

Public Types | Public Member Functions | Private Attributes | List of all members
Table< I0, I1, I2, I3, I4, Outcome > Class Template Reference

`#include <rcpp_table.h>`

Collaboration diagram for Table< I0, I1, I2, I3, I4, Outcome >:
[legend]

## Public Types
typedef std::tuple< I0, I1, I2, I3, I4 > | key_type
typedef Outcome | mapped_type
typedef std::tuple< set< I0, greater< I0 > >, set< I1, greater< I1 > >, set< I2, greater< I2 > >, set< I3, greater< I3 > >, set< I4, greater< I4 > > > | Axis

## Public Member Functions
| Table ()
void | insert (I0 key0, I1 key1, I2 key2, I3 key3, I4 key4, Outcome outcome)
virtual Outcome | operator() (I0 i0, I1 i1, I2 i2, I3 i3, I4 i4)
| Table (const DataFrame &df, string s0, string s1, string s2, string s3, string s4, string s5)

## Private Attributes
Axis | axis
map< key_type, mapped_type > | data

## Detailed Description

### template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>
class Table< I0, I1, I2, I3, I4, Outcome >

Definition at line 147 of file rcpp_table.h.

## Member Typedef Documentation

## ◆ Axis

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

typedef std::tuple< set<I0, greater<I0> >, set<I1, greater<I1> >, set<I2, greater<I2> >, set<I3, greater<I3> >, set<I4, greater<I4> > > Table< I0, I1, I2, I3, I4, Outcome >::Axis

Definition at line 158 of file rcpp_table.h.

## ◆ key_type

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

typedef std::tuple<I0,I1,I2,I3,I4> Table< I0, I1, I2, I3, I4, Outcome >::key_type

Definition at line 150 of file rcpp_table.h.

## ◆ mapped_type

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

typedef Outcome Table< I0, I1, I2, I3, I4, Outcome >::mapped_type

Definition at line 151 of file rcpp_table.h.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

Table< I0, I1, I2, I3, I4, Outcome >::Table | ( |  | ) |
| inline

Definition at line 149 of file rcpp_table.h.

## ◆ Table() [2/2]

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

Table< I0, I1, I2, I3, I4, Outcome >::Table | ( | const DataFrame & | df,
|  | string | s0,
|  | string | s1,
|  | string | s2,
|  | string | s3,
|  | string | s4,
|  | string | s5
| ) |  |
| inline

Definition at line 175 of file rcpp_table.h.

## Member Function Documentation

## ◆ insert()

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

void Table< I0, I1, I2, I3, I4, Outcome >::insert | ( | I0 | key0,
|  | I1 | key1,
|  | I2 | key2,
|  | I3 | key3,
|  | I4 | key4,
|  | Outcome | outcome
| ) |  |
| inline

Definition at line 159 of file rcpp_table.h.

## ◆ operator()()

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

virtual Outcome Table< I0, I1, I2, I3, I4, Outcome >::operator() | ( | I0 | i0,
|  | I1 | i1,
|  | I2 | i2,
|  | I3 | i3,
|  | I4 | i4
| ) |  |
| inlinevirtual

Definition at line 168 of file rcpp_table.h.

## Member Data Documentation

## ◆ axis

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

Axis Table< I0, I1, I2, I3, I4, Outcome >::axis
| private

Definition at line 187 of file rcpp_table.h.

## ◆ data

template<class I0 = null_type, class I1 = null_type, class I2 = null_type, class I3 = null_type, class I4 = null_type, class Outcome = null_type>

map<key_type,mapped_type> Table< I0, I1, I2, I3, I4, Outcome >::data
| private

Definition at line 188 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h